#ifndef M_NOSCAN_H
#define M_NOSCAN_H
/* Pxys - An IRC ProxyScan, m_noscan.h
 * 
 * Copyright (C) 2001 Stephane Thiell
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * 
 * Scanning exceptions (on IPs or IRC Server).
 *
 * $Id: m_noscan.h,v 1.2 2001/10/20 01:31:03 mbuna Exp $
 */

#include "typedefs.h"

void check_noscan_ip(const struct in_addr * client_ip, int *outNoscan);
void check_noscan_server(unsigned int xserv, int *outNoscan);
void refresh_noscan_servers();
void force_refresh_noscan_servers();

#endif  /* M_NOSCAN_H */
