#ifndef YXX_H
#define YXX_H
/* Pxys - An IRC ProxyScan, yxx.h
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * $Id: yxx.h,v 1.1.1.1 2001/10/14 22:10:17 mbuna Exp $
 */
 

struct yxx {
   int server_n;
   int client_n;
   Boolean extended;
   Boolean bogus;
};

struct stryxx {
   char server_sn[3];
   char client_sn[4];
   size_t length;
};

typedef struct yxx		yxx;
typedef struct stryxx	stryxx;

yxx yxx_to_int(const char *numeric);
void yxx_cut(const char *numeric, stryxx * outfnum);


#endif  /* YXX_H */
